Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1355782 - Advanced Setting screen only shows the first 24 lines until browser resize
Summary: Advanced Setting screen only shows the first 24 lines until browser resize
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: UI - OPS
Version: 5.7.0
Hardware: Unspecified
OS: Unspecified
high
medium
Target Milestone: GA
: 5.7.0
Assignee: Martin Hradil
QA Contact: Ramesh A
URL:
Whiteboard: ui:configuration:browser
Depends On:
Blocks: 1356133
TreeView+ depends on / blocked
 
Reported: 2016-07-12 14:14 UTC by Dan Clarizio
Modified: 2017-01-12 04:49 UTC (History)
8 users (show)

Fixed In Version: 5.7.0.0
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
: 1356133 (view as bug list)
Environment:
Last Closed: 2017-01-11 19:56:13 UTC
Category: ---
Cloudforms Team: ---


Attachments (Terms of Use)
Advanced Settings limited lines showing (deleted)
2016-07-12 14:14 UTC, Dan Clarizio
no flags Details

Description Dan Clarizio 2016-07-12 14:14:59 UTC
Created attachment 1178914 [details]
Advanced Settings limited lines showing

Description of problem:
The first 24 lines of settings are only shown along with double scroll bars (see attachement)

Version-Release number of selected component (if applicable):
5.7.0

How reproducible:
Go to advanced settings

Actual results:
Only see first 24 settings lines

Expected results:
Fully scrollable list of settings in CodeMirror

Additional info:
This was introduced with CodeMirror gem changes

Comment 5 CFME Bot 2016-07-20 16:05:45 UTC
New commit detected on ManageIQ/manageiq/master:
https://github.com/ManageIQ/manageiq/commit/97727d05b47be47f40b3a1fd5b0138daefb81e43

commit 97727d05b47be47f40b3a1fd5b0138daefb81e43
Author:     Martin Hradil <mhradil@redhat.com>
AuthorDate: Thu Jul 14 12:07:06 2016 +0000
Commit:     Martin Hradil <mhradil@redhat.com>
CommitDate: Mon Jul 18 12:21:16 2016 +0000

    Ops settings advanced - codemirror should show more than 24 lines
    
    codemirror with height:auto still renders only few lines - forcing viewportMargin to Infinity fixes that
    
    ..and adding a missing refresh call
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1355782

 app/assets/javascripts/miq_application.js      | 1 +
 app/views/ops/_settings_advanced_tab.html.haml | 2 ++
 2 files changed, 3 insertions(+)

Comment 6 CFME Bot 2016-07-22 02:05:42 UTC
New commit detected on ManageIQ/manageiq/darga:
https://github.com/ManageIQ/manageiq/commit/eced80afdab4f879c29b43bcd9c94633e328b198

commit eced80afdab4f879c29b43bcd9c94633e328b198
Author:     Martin Hradil <mhradil@redhat.com>
AuthorDate: Thu Jul 14 12:07:06 2016 +0000
Commit:     Martin Hradil <mhradil@redhat.com>
CommitDate: Thu Jul 21 09:56:26 2016 +0000

    Ops settings advanced - codemirror should show more than 24 lines
    
    codemirror with height:auto still renders only few lines - forcing viewportMargin to Infinity fixes that
    
    ..and adding a missing refresh call
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1355782

 app/assets/javascripts/miq_application.js      | 1 +
 app/views/ops/_settings_advanced_tab.html.haml | 2 ++
 2 files changed, 3 insertions(+)

Comment 7 Ramesh A 2016-10-05 07:59:23 UTC
Good to go.  Verified and working fine in 5.7.0.3.20160927165516_075d0f3


Note You need to log in before you can comment on or make changes to this bug.